Changes to supported platforms in 10.2.7

3012
3
02-17-2016 11:37 AM
HuyHo
by
Occasional Contributor

We found out today that between 10.2.7 and 10.2.6 release, the supported platforms for deployment targets has changed.  Specifically, the following platforms are no longer supported when you go from 10.2.6 to 10.2.7:

  • Windows 8 Basic, Pro, and Enterprise (32 bit and 64 bit [EM64T])
  • Windows 7 Ultimate, Enterprise, Professional, and Home Premium (32 bit and 64 bit [EM64T])
  • Windows 2008 R2 Standard, Enterprise, and Datacenter (64bit [EM64T])
  • Windows Server 2008 SP2 Standard, Enterprise, and Datacenter (32 bit and 64 bit [EM64T])

We only find out about this when we tried deploying an update for our customer.  We suggest that changes like this should be mentioned in the release notes so that it is not overlooked when we update to the latest SDK.

Thanks.

0 Kudos
3 Replies
JimFiddes
Occasional Contributor

They do mention in the release notes about Windows 8 not being supported. I too was going to upgrade to 10.2.7 but when I saw this in the release notes, I opted out as I will have clients still running Windows 7 for the time being.

https://developers.arcgis.com/net/desktop/guide/release-notes.htm

Windows 8.0 is no longer supported as an app development or deployment platform with the 10.2.7 release. For more information please see: Deprecation Plan for ArcGIS

0 Kudos
VolkerMatzken
New Contributor II

For Windows 7 it says: "...unless they are at the appropriate Service pack level". What does that mean?

Release notes for 10.2.7—ArcGIS Runtime SDK for .NET | ArcGIS for Developers

Per the Microsoft life cycle support policy, the following platforms are no longer supported for deployment unless they are at the appropriate service pack level: Windows Server 2008 R2, Windows 7.

0 Kudos
dotMorten_esri
Esri Frequent Contributor

For Windows 7, that means "Service Pack 1".

The support is based on what Microsoft supports. Note: This doesn't mean it doesn't work. We just haven't tested it, and there might be issues with running on an non-supported version.

We do support Windows Server 2008 R2 SP1 (it's the non-R2 that isn't supported). Full list of supported OS's (note there are different list for development and deployment) here:

https://developers.arcgis.com/net/desktop/guide/system-requirements.htm

0 Kudos